filters_srcdir := $(top_srcdir)/filters
filters_builddir := $(top_builddir)/filters
filters := $(notdir $(basename $(wildcard $(filters_srcdir)/*.c)))
filters_la := $(addprefix $(filters_builddir)/,$(addsuffix .la,$(filters)))
filters_lo := $(addprefix $(filters_builddir)/,$(addsuffix .lo,$(filters)))
filters_libdir := $(INSTALL_ROOT)$(EXTENSION_DIR)/php_imlib_filters

all : $(filters_la)
install: filters_install
clean: filters_clean

$(filters_lo) : $(filters_builddir)/%.lo : $(filters_srcdir)/%.c
	$(LIBTOOL) --mode=compile $(CC) $(COMMON_FLAGS) $(CFLAGS_CLEAN) $(EXTRA_CFLAGS) -c $(filters_srcdir)/$*.c -o $(filters_builddir)/$*.lo
$(filters_la) : %.la : %.lo
	$(LIBTOOL) --mode=link $(CC) $(COMMON_FLAGS) $(CFLAGS_CLEAN) $(EXTRA_CFLAGS) $(LDFLAGS) -module -avoid-version -o $*.la $*.lo -rpath $(filters_libdir) $(EXTRA_LDFLAGS)
filters_install:
	$(mkinstalldirs) $(filters_libdir)
	$(LIBTOOL) --mode=install cp $(filters_la) $(filters_libdir)
filters_clean:
	rm -f $(filters_builddir)/*.{la,lo}
	rm -rf $(filters_builddir)/.libs
